TTF_CreateGPUTextEngine(3)

NAME
TTF_CreateGPUTextEngine - Create a text engine for drawing text with the SDL GPU API.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_TextEngine * TTF_CreateGPUTextEngine(SDL_GPUDevice *device);

FUNCTION PARAMETERS

device
    the SDL_GPUDevice to use for creating textures and drawing text.

RETURN VALUE
( TTF_TextEngine
 *) Returns a

TTF_TextEngine
 object or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the device.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateGPUTextEngineWithProperties(3), •(3), TTF_DestroyGPUTextEngine(3), •(3), TTF_GetGPUTextDrawData(3)